org.keycloak.services.clientpolicy.executor

## Class AbstractAugumentingClientRegistrationPolicyExecutorFactory

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutorFactory

- All Implemented Interfaces:
    ComponentFactory<ClientPolicyExecutorProvider,ClientPolicyExecutorProvider>, ConfiguredProvider, ProviderFactory<ClientPolicyExecutorProvider>, ClientPolicyExecutorProviderFactory
  Direct Known Subclasses:
    PKCEEnforceExecutorFactory, SecureClientAuthEnforceExecutorFactory

      public abstract class AbstractAugumentingClientRegistrationPolicyExecutorFactory
      extends Object
      implements ClientPolicyExecutorProviderFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `IS_AUGMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAugumentingClientRegistrationPolicyExecutorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProviderConfigProperty>` | `getConfigProperties()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove, validateConfiguration`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, getId, init, order, postInit`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getHelpText`

- - ### Field Detail

    - #### IS_AUGMENT

          protected static final String IS_AUGMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractAugumentingClientRegistrationPolicyExecutorFactory

          public AbstractAugumentingClientRegistrationPolicyExecutorFactory()

  - ### Method Detail

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.